IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DashBoard_TSS_Faturalama_Analiz]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].[DashBoard_TSS_Faturalama_Analiz]
GO

CREATE FUNCTION [dbo].[DashBoard_TSS_Faturalama_Analiz]
(
    @BasTar datetime,
    @BitTar datetime,
    @SubeId int
)
RETURNS TABLE
AS
RETURN
(

SELECT   COUNT (DISTINCT HDOSYA.HKIMLIKID) AS Hasta_Sayisi,
SUM(dbo.HDOSYA.KRMNETTUTAR) KRMNETTUTAR	,
SUM(HDOSYA.KRMFATTUTAR) KRMFATTUTAR,
SUM(dbo.HDOSYA.KRMNETTUTAR)-SUM(HDOSYA.KRMFATTUTAR) FATURALANMAMIS_TUTAR,
SUM(HDOSYA.KRMFATTUTAR)*100/SUM(dbo.HDOSYA.KRMNETTUTAR) FATURALAMA_ORANI

FROM        dbo.HDOSYA WITH (NOLOCK)  
			INNER  JOIN dbo.CARI AS KURUM WITH (NOLOCK) ON KURUM.CARIID = dbo.HDOSYA.HKCARIID 
WHERE  (dbo.HDOSYA.HDTEKLIF = 0) AND (dbo.HDOSYA.HDIPTAL = 0) and KURUM.TSSZORUNLU =1  AND HDOSYA.HDSGKURUMID IS NOT NULL  AND  
       HDOSYA.SUBEID = @SubeId
		AND HDOSYA.HDTARIH >= @BasTar
		AND HDOSYA.HDTARIH < DATEADD(DAY,1,@BitTar)

)






